


Summary:        Libraries and daemons to implement searching in Akonadi
Name:           akonadi-search
Version: 		17.12.3
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64boost-devel
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5calendarcore-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5krunner-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5plasma-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64xapian-devel 
BuildRequires: qtbase5-common-devel 

%description
Libraries and daemons to implement searching in Akonadi.

%files
%_kf5_bindir/akonadi_indexing_agent
%_qt5_plugindir/akonadi/*.so
%_sysconfdir/xdg/akonadi-search.categories
%_kf5_datadir/akonadi/agents/akonadiindexingagent.desktop
%_qt5_plugindir/*.so
%_kf5_services/*.desktop
%_sysconfdir/xdg/akonadi-search.renamecategories
%_kf5_datadir/locale
#--------------------------------------------------------------------

%define kf5akonadisearchcore_major 5
%define libkf5akonadisearchcore %mklibname kf5akonadisearchcore %{kf5akonadisearchcore_major}

%package -n %libkf5akonadisearchcore
Summary:      Libraries and daemons to implement searching in Akonadi
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchcore
Libraries and daemons to implement searching in Akonadi.

%files -n %libkf5akonadisearchcore
%_kf5_libdir/libKF5AkonadiSearchCore.so.%{kf5akonadisearchcore_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchpim_major 5
%define libkf5akonadisearchpim %mklibname kf5akonadisearchpim %{kf5akonadisearchpim_major}

%package -n %libkf5akonadisearchpim
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchpim
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchpim
%_kf5_libdir/libKF5AkonadiSearchPIM.so.%{kf5akonadisearchpim_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchxapian_major 5
%define libkf5akonadisearchxapian %mklibname kf5akonadisearchxapian %{kf5akonadisearchxapian_major}

%package -n %libkf5akonadisearchxapian
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchxapian
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchxapian
%_kf5_libdir/libKF5AkonadiSearchXapian.so.%{kf5akonadisearchxapian_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchdebug_major 5
%define libkf5akonadisearchdebug %mklibname kf5akonadisearchdebug %{kf5akonadisearchdebug_major}

%package -n %libkf5akonadisearchdebug
Summary:      Akonadi Calendar Integration
Group:        System/Libraries
Requires:   %name

%description -n %libkf5akonadisearchdebug
Akonadi Calendar Integration.

%files -n %libkf5akonadisearchdebug
%_kf5_libdir/libKF5AkonadiSearchDebug.so.%{kf5akonadisearchdebug_major}*

#--------------------------------------------------------------------

%define kf5akonadisearchcore_devel %mklibname kf5akonadisearch -d

%package -n %kf5akonadisearchcore_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5akonadisearchcore = %version-%release
Requires:       %libkf5akonadisearchpim = %version-%release
Requires:       %libkf5akonadisearchxapian = %version-%release
Requires:       %libkf5akonadisearchdebug = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5akonadisearchcore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5akonadisearchcore_devel
%_kf5_includedir/AkonadiSearch
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiSearch

#--------------------------------------------------------------------

%prep
%setup -q 


%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang --all %{name}5



%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Fri Dec 16 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Fri Dec 09 2016 bb <bb> 16.08.3-2pclos2016
- update

